## lm-sensors-3 3.0.0

=== Makefile ===
#  Makefile - Makefile for a Linux module for reading sensor data.
#  Copyright (c) 1998, 1999  Frodo Looijaard <frodol@dds.nl>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Everything you may want to change is in the top of this file. Usually, you
# can just use the defaults, fortunately.

# You need a full complement of GNU utilities to run this Makefile
# successfully; most notably, you need GNU make, flex (>= 2.5.1)
# and bison.

# Uncomment the second line if you are a developer. This will enable many
# additional warnings at compile-time
#WARN := 0
WARN := 1

# Uncomment the second line if you want to get (loads of) debug information
# at run-time.
# Not recommended, unless you are actually debugging the code
DEBUG := 0
#DEBUG := 1

# If you want to install at some other place then at from which you will run
# everything, set DESTDIR to the extra prefix.
DESTDIR :=

# This is the prefix that will be used for almost all directories below.
PREFIX := /usr/local

# Your C compiler
CC := gcc

# This is the directory where sensors.conf will be installed, if no other
# configuration file is found
ETCDIR := /etc

# You should not need to change this. It is the directory into which the
# library files (both static and shared) will be installed.
LIBDIR := $(PREFIX)/lib

EXLDFLAGS := -Wl,-rpath,$(LIBDIR)

# You should not need to change this. It is the directory into which the
# executable program files will be installed. BINDIR for programs that are
# also useful for normal users, SBINDIR for programs that can only be run
# by the superuser.
# Note that not all programs in this package are really installed;
# some are just examples. You can always install them by hand, of
# course.
BINDIR := $(PREFIX)/bin
SBINDIR := $(PREFIX)/sbin

# You should not need to change this. It is the basic directory into which
# include files will be installed. The actual directory will be 
# $(INCLUDEDIR)/sensors for library include files.
INCLUDEDIR := $(PREFIX)/include
LIBINCLUDEDIR := $(INCLUDEDIR)/sensors

# You should not need to change this. It is the base directory under which the
# manual pages will be installed.
MANDIR := $(PREFIX)/man

MACHINE := $(shell uname -m)

# Extra non-default programs to build; e.g., sensord
# PROG_EXTRA := sensord

# Set these to add preprocessor or compiler flags, or use
# environment variables
# CFLAGS :=
# CPPFLAGS :=

##################################################
# Below this, nothing should need to be changed. #
##################################################

# Note that this is a monolithic Makefile; it calls no sub-Makefiles,
# but instead, it compiles everything right from here. Yes, there are
# some distinct advantages to this; see the following paper for more info:
#   http://www.tip.net.au/~millerp/rmch/recu-make-cons-harm.html
# Note that is still uses Makefile fragments in sub-directories; these
# are called 'Module.mk'.

# Within each Module.mk, rules and dependencies can be added to targets
# all, install and clean. Use double colons instead of single ones
# to do this. 

# The subdirectories we need to build things in 
SRCDIRS := lib prog/detect prog/pwm \
           prog/sensors ${PROG_EXTRA:%=prog/%} etc
# Only build isadump and isaset on x86 machines.
ifneq (,$(findstring $(MACHINE), i386 i486 i586 i686 x86_64))
SRCDIRS += prog/dump
endif
SRCDIRS += lib/test

# Some often-used commands with default options
MKDIR := mkdir -p
RMDIR := rmdir
RM := rm -f
BISON := bison
FLEX := flex
AR := ar
INSTALL := install
LN := ln -sf
GREP := grep
AWK := awk
SED := sed

# Determine the default compiler flags
# Set CFLAGS or CPPFLAGS above to add your own flags to all.
# ALLCPPFLAGS/ALLCFLAGS are common flags, plus any user-specified overrides from the environment or make command line.
# PROGCPPFLAGS/PROGCFLAGS is to create regular object files (which are linked into executables).
# ARCPPFLAGS/ARCFLAGS are used to create archive object files (static libraries).
# LIBCPPFLAGS/LIBCFLAGS are for shared library objects.
ALL_CPPFLAGS := -I.
ALL_CFLAGS := -Wall

ifeq ($(DEBUG),1)
ALL_CPPFLAGS += -DDEBUG
ALL_CFLAGS += -O -g
else
ALL_CFLAGS += -O2
endif

ifeq ($(WARN),1)
ALL_CFLAGS += -Wstrict-prototypes -Wshadow -Wpointer-arith -Wcast-qual \
            -Wcast-align -Wwrite-strings -Wnested-externs -Winline -W \
            -Wmissing-prototypes -Wundef
endif

ALL_CPPFLAGS += $(CPPFLAGS)
ALL_CFLAGS += $(CFLAGS)

PROGCPPFLAGS := -DETCDIR="\"$(ETCDIR)\"" $(ALL_CPPFLAGS)
PROGCFLAGS := $(ALL_CFLAGS)
ARCPPFLAGS := -DETCDIR="\"$(ETCDIR)\"" $(ALL_CPPFLAGS)
ARCFLAGS := $(ALL_CFLAGS)
LIBCPPFLAGS := -DETCDIR="\"$(ETCDIR)\"" $(ALL_CPPFLAGS)
LIBCFLAGS := -fpic -D_REENTRANT $(ALL_CFLAGS)

.PHONY: all user clean install user_install uninstall user_uninstall

# Make all the default rule
all::

# Include all makefiles for sub-modules
INCLUDEFILES := 
include $(patsubst %,%/Module.mk,$(SRCDIRS))
ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),uninstall)
ifneq ($(MAKECMDGOALS),user_uninstall)
ifneq ($(MAKECMDGOALS),help)
include $(INCLUDEFILES)
endif
endif
endif
endif

# Man pages
MANPAGES := $(LIBMAN3FILES) $(LIBMAN5FILES) $(PROGDETECTMAN8FILES) $(PROGDUMPMAN8FILES) \
            $(PROGSENSORSMAN1FILES) $(PROGPWMMAN8FILES) prog/sensord/sensord.8

user ::
user_install::
	@echo "*** Important notes:"
	@echo "***  * The libsensors configuration file ($(ETCDIR)/sensors.conf) is never"
	@echo "***    overwritten by our installation process, so that you won't lose"
	@echo "***    your personal settings in that file. You still can get our latest"
	@echo "***    default config file in etc/sensors.conf.eg and manually copy it to"
	@echo "***    $(ETCDIR)/sensors.conf if you want. You will then want to edit it"
	@echo "***    to fit your needs again."
	@echo "***  * The format of $(ETCDIR)/sensors.conf changed with lm-sensors 3.0.0."
	@echo "***    If you have a custom configuration file using the old format, you"
	@echo "***    can convert it using the sensors-conf-convert script. Otherwise just"
	@echo "***    overwrite your old configuration file with the new default one."
all :: user
install :: all user_install

clean::
	$(RM) lm_sensors-* lex.backup

user_uninstall::

uninstall :: user_uninstall

help:
	@echo 'Make targets are:'
	@echo '  all (default): build library and userspace programs'
	@echo '  install: install library and userspace programs'
	@echo '  uninstall: uninstall library and userspace programs'
	@echo '  clean: cleanup'

# Generate html man pages to be copied to the lm_sensors website.
# This uses the man2html from here
# http://ftp.math.utah.edu/pub/sgml/
# which works directly from the nroff source
manhtml:
	$(MKDIR) html
	cp $(MANPAGES) html
	cd html ; \
	export LOGNAME=sensors ; \
	export HOSTNAME=www.lm-sensors.org ; \
	man2html *.[1-8] ; \
	$(RM) *.[1-8]

# Here, we define all implicit rules we want to use.

.SUFFIXES:

# We need to create dependency files. Tricky. The sed rule puts dir/file.d and
# dir/file.c in front of the dependency file rule.


# .ro files are used for programs (as opposed to modules)
%.ro: %.c
	$(CC) $(PROGCPPFLAGS) $(PROGCFLAGS) -c $< -o $@

%.rd: %.c
	$(CC) -M -MG $(PROGCPPFLAGS) $(PROGCFLAGS) $< | \
	$(SED) -e 's@^\(.*\)\.o:@$*.rd $*.ro: Makefile '`dirname $*.rd`/Module.mk' @' > $@


%: %.ro
	$(CC) $(EXLDFLAGS) -o $@ $^


# .ao files are used for static archives
%.ao: %.c
	$(CC) $(ARCPPFLAGS) $(ARCFLAGS) -c $< -o $@

%.ad: %.c
	$(CC) -M -MG $(ARCPPFLAGS) $(ARCFLAGS) $< | \
	$(SED) -e 's@^\(.*\)\.o:@$*.ad $*.ao: Makefile '`dirname $*.ad`/Module.mk' @' > $@


# .lo files are used for shared libraries
%.lo: %.c
	$(CC) $(LIBCPPFLAGS) $(LIBCFLAGS) -c $< -o $@

%.ld: %.c
	$(CC) -M -MG $(LIBCPPFLAGS) $(LIBCFLAGS) $< | \
	$(SED) -e 's@^\(.*\)\.o:@$*.ld $*.lo: Makefile '`dirname $*.ld`/Module.mk' @' > $@


# Flex and Bison
%c: %y
	$(BISON) -p sensors_yy -d $< -o $@

ifeq ($(DEBUG),1)
FLEX_FLAGS := -Psensors_yy -t -b -Cfe -8
else
FLEX_FLAGS := -Psensors_yy -t -Cfe -8
endif

%.c: %.l
	$(FLEX) $(FLEX_FLAGS) $< > $@

## lm-sensors-3 3.2.0

=== debian/changelog ===
lm-sensors-3 (1:3.2.0-1ubuntu1) natty; urgency=low

  * Add 100_recommend_using_upstart.patch: Recommend use of upstart rather
    than init-script. (Thanks Michael Basse)
    (LP: #741338)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 04 Apr 2011 11:39:13 -0700

lm-sensors-3 (1:3.2.0-1) unstable; urgency=low

  * New upstream version.
  * Suggests fancontrol instead of recommending it in lm-sensors (closes:
    bug#567185).
  * Suggests lm-sensors instead of recommending it in libsensors4 (closes:
    bug#602914).
  * Suggests rrdtool in sensord (closes: bug#588132).
  * Detect SMSC SCH5524-NS chip (closes: bug#588355).
  * Bumped Standards-version to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Feb 2011 14:46:28 +0100

lm-sensors-3 (1:3.1.2-6) unstable; urgency=low

  * Fix return value in fancontrol --check (closes: bug#583216). 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 May 2010 19:17:40 +0200

lm-sensors-3 (1:3.1.2-5) unstable; urgency=low

  * Use the --check option in both the initscript and the fancontrol
    script (closes: bug#582979).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 May 2010 11:15:17 +0200

lm-sensors-3 (1:3.1.2-4) unstable; urgency=low

  * Check /etc/fancontrol before starting the daemon (closes:
    bug#582979).
  * Add a README.Debian in lm-sensors package. (closes: bug#576932).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 25 May 2010 11:33:23 +0200

lm-sensors-3 (1:3.1.2-3) unstable; urgency=medium

  * Add 09-sensord-multiple-chips.diff from upstream to fix multiple
    chip support in sensord (closes: bug#581036).
  * Fix error message in lm-sensors init script (closes: bug#581350).
  * Remove /etc/rc1.d/K20sensord on upgrade (closes: bug#573898). 
  * Fix typos in pwmconfig (closes: bug#570344).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 24 May 2010 23:11:32 +0200

lm-sensors-3 (1:3.1.2-2) unstable; urgency=low

  * Detect old configuration files in init script (closes: bug#568627).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 07 Feb 2010 21:12:44 +0100

lm-sensors-3 (1:3.1.2-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-version to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Feb 2010 20:15:07 +0100

lm-sensors-3 (1:3.1.1-6) unstable; urgency=low

  * Move fancontrol.txt to the fancontrol package (closes: bug#567181). 
  * Remove old init scripts if they are not modified an upgrading from
    version (<< 1:3.1.1-5). (closes: bug#567183).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Jan 2010 22:11:25 +0100

lm-sensors-3 (1:3.1.1-5) unstable; urgency=low

  * Split-out fancontrol in a separate package (closes: bug#540677).
  * Restart fancontrol in postinst instead of starting it (closes: 
    bug#552197).
  * Don't stop fancontrol in runlevel 0 1 6 (closes: bug#563835).
  * Don't stop sensord in runlevel 1.
  * Ignore failures to set sensors at boot time (closes: bug#566184,
    bug#556361).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Jan 2010 00:00:33 +0100

lm-sensors-3 (1:3.1.1-4) unstable; urgency=low

  * Bumped Standards-version to 3.8.3 (no changes).
  * Drop libsensors4 postinst script and the dependency on makedev | 
    udev. This part has been moved to i2c-tools.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Oct 2009 00:20:17 +0200

lm-sensors-3 (1:3.1.1-3) unstable; urgency=low

  * *.init: depends on $remote_fs instead of $local_fs (closes: 
    bug#541363). 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 13 Aug 2009 20:18:11 +0200

lm-sensors-3 (1:3.1.1-2) unstable; urgency=low

  * Stop managing /etc/sensors3.conf using ucf, as user changes should now
    go in /etc/sensors.d/.
  * Mention /etc/sensors.d in libsensors4.NEWS.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 01 Jul 2009 21:46:24 +0000

lm-sensors-3 (1:3.1.1-1) unstable; urgency=low

  * New upstream version. 
    - LDFLAGS is taken into account by the build system (closes: 
      bug#513171).
  * debian/sensord.init: add a 'sleep 1' between stop and start for
    the restart action (closes: #528276).
  * debian/*.init: add status actions (closes: #525899).
  * Update sensord.README.Debian to mention /etc/sensors3.conf instead
    of /etc/sensors.conf (closes: #520056).
  * Bumped Standards-version to 3.8.2.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 28 Jun 2009 21:59:56 +0200

lm-sensors-3 (1:3.1.0-2) unstable; urgency=low

  * lm-sensors.preinst: make sure that the directory exists before
    trying to remove them (closes: bug#518976).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 09 Mar 2009 19:48:36 +0100

lm-sensors-3 (1:3.1.0-1) unstable; urgency=low

  * New upstream version.
  * lm-sensors.fancontrol.init: remove pidfile on stop action (closes:
    bug#504304).
  * lm-sensors.fancontrol.init: decrease the stop/start time to 3
    seconds (closes: bug#504379).
  * libsensors4.README.Debian: update.
  * libsensors4.symbols: new file. 
  * lm-sensors.preinst: remove /etc/modprobe.d/i2c on install/upgrade
    (closes: bug#518111).
  * patches/06-sensors-detect-debian.patch: update.
  * patches/07-sensors-detect-fixes.patch: remove (merged upstream).
  * patches/07-sensors-detect-modprobe.conf.patch: new patch to create
    files with .conf extension in /etc/modprobe.d/.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 05 Mar 2009 01:30:18 +0100

lm-sensors-3 (1:3.0.2-2) unstable; urgency=low

  * Remove stop links from rc0 and rc6 (closes: bug#495547).
  * Add a NEWS.Debian file from libsensors4 explaining how to
    generate /etc/sensors3.conf from /etc/sensors.conf (closes:
    bug#496703).
  * Bumped Standards-version to 3.8.0
    - Add debian/README.source

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Sep 2008 12:40:12 +0200

lm-sensors-3 (1:3.0.2-1) unstable; urgency=low

  * New upstream version.
  * Use quilt for patch management.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 May 2008 17:57:23 +0200



=== debian/control ===
Source: lm-sensors-3
Section: utils
Priority: extra
Build-Depends: debhelper (>= 5), bison, flex, librrd2-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
Standards-Version: 3.9.1
Homepage: http://www.lm-sensors.org

Package: lm-sensors
Architecture: any
Section: utils
Depends: sed (>= 4.0.5-1), lsb-base (>= 3.2-13), ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
Suggests: fancontrol, sensord, read-edid, i2c-tools
Description: utilities to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains programs to help you set up and read data from
 lm-sensors.

Package: libsensors4
Architecture: any
Depends: makedev (>= 2.3.1-45) | udev, ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Suggests: lm-sensors
Section: libs
Description: library to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains a shared library for querying lm-sensors.

Package: libsensors4-dev
Architecture: any
Depends: libsensors4 (= ${binary:Version}), ${misc:Depends}
Conflicts: lm-sensors (<< 1:3.1.1-6), libsensors-dev
Section: libdevel
Description: lm-sensors development kit
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains the static library and header files used in
 development.

Package: fancontrol
Architecture: all
Section: utils
Depends: lsb-base (>= 3.2-13), ${misc:Depends}
Conflicts: lm-sensors (<< 1:3.1.1-6)
Replaces: lm-sensors (<< 1:3.1.1-6)
Description: utilities to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains a daemon that calculates fan speeds from temperatures
 and sets the corresponding PWM outputs to the computed values.

Package: sensord
Architecture: any
Section: utils
Depends: lm-sensors, lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Suggests: rrdtool
Description: hardware sensor information logging daemon
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains a daemon that logs hardware health status to the
 system log with optional warnings on potential system problems.

=== debian/rules ===
#!/usr/bin/make -f
# This is fairly complicated since it can be called either to build the
# source package, or to build a kernel module package.

#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	
	$(MAKE) clean PROG_EXTRA=sensord
	
	rm -f *-stamp
	dh_clean 


# Build everything that goes into the Debian package.  Use recursive make
# invocations to build all of the interesting components.
build: build-stamp
build-stamp:
	dh_testdir

	# binary programs and librairies
	$(MAKE) user \
		PREFIX=/usr \
		PROG_EXTRA=sensord \
		EXLDFLAGS=""

	touch build-stamp

install: install-stamp
install-stamp: build
	dh_testdir 
	dh_testroot 
	dh_clean -s -k 
	dh_installdirs -s

	$(MAKE) user_install \
		DESTDIR=$(CURDIR)/debian/tmp \
		PREFIX=/usr \
		MANDIR=/usr/share/man \
		PROG_EXTRA=sensord \
		EXLDFLAGS=""

	# Install extra files as needed
	install -m 0644 debian/sensord.logcheck debian/sensord/etc/logcheck/ignore.d.server/sensord
	install -m 0644 debian/sensord.logcheck debian/sensord/etc/logcheck/ignore.d.workstation/sensord

	# Make sure /etc/sensors.d/ is not removed
	touch debian/tmp/etc/sensors.d/.placeholder

	# Install isadump only if it has been built (on x86/x86_64 archs only)
	if [ -x prog/dump/isadump ] ; then \
	        cp -f prog/dump/isadump debian/lm-sensors/usr/sbin ; \
		mkdir -p debian/lm-sensors/usr/share/man/man8 ; \
	        cp -f prog/dump/isadump.8 debian/lm-sensors/usr/share/man/man8 ; \
	fi
	# Install isaset only if it has been built (on x86/x86_64 archs only)
	if [ -x prog/dump/isaset ] ; then \
	        cp -f prog/dump/isaset debian/lm-sensors/usr/sbin ; \
		mkdir -p debian/lm-sensors/usr/share/man/man8 ; \
	        cp -f prog/dump/isaset.8 debian/lm-sensors/usr/share/man/man8 ; \
	fi

	dh_install --sourcedir=debian/tmp

	touch install-stamp


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir 
	dh_testroot
	dh_installchangelogs -i CHANGES
	dh_installdocs -i -XCVS
	dh_installinit -pfancontrol --restart-after-upgrade -- start 20 2 3 4 5 .
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependant files that arn't kernel modules here.
binary-arch: build install
	dh_testdir 
	dh_testroot
	dh_installchangelogs -s CHANGES
	dh_installdocs -s -XCVS
	dh_installexamples -s -XCVS -XModule.mk
	dh_installinit -plm-sensors --no-start -- start 47 S .
	dh_installinit -psensord -- start 20 2 3 4 5 .
	dh_installman -s
	dh_link -s
	dh_strip -s
	dh_compress -s -X.pl
	dh_fixperms -s
	dh_perl -s
	dh_makeshlibs -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-arch binary-indep
.PHONY: clean build install binary-indep binary-arch binary
